<?php

namespace Bydedi\Database\Behaviors;

use Doctrine\ORM\Mapping as ORM;

/**
 * Class Enable
 * @package Bydedi\Database\Behaviors
 */
trait IsDefault
{
    /**
     * @var boolean
     *
     * @ORM\Column(name="is_default", type="boolean", nullable=false)
     */
    private $isDefault = '0';

    /**
     * Set isDefault
     *
     * @param boolean $isDefault
     *
     * @return $this
     */
    public function setIsDefault($isDefault)
    {
        $this->isDefault = $isDefault;

        return $this;
    }

    /**
     * Get default
     *
     * @return boolean
     */
    public function getIsDefault()
    {
        return $this->isDefault;
    }
}
